Index: squid/win/squid.rc
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/Attic/squid.rc,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/win/squid.rc	6 Jan 2001 12:40:17 -0000	1.1.2.1
+++ squid/win/squid.rc	27 Aug 2001 21:48:22 -0000	1.1.2.1.2.1
@@ -49,13 +49,13 @@
             VALUE "FileDescription", "SquidNT - Main executable\0"
             VALUE "FileVersion", "1, 0, 0, 1\0"
             VALUE "InternalName", "squid\0"
-            VALUE "LegalCopyright", "Romeo Anghelache & Guido Serassio\0"
+            VALUE "LegalCopyright", "Romeo Anghelache, Guido Serassio & Andrey Shorin\0"
             VALUE "LegalTrademarks", "GNU gpl\0"
             VALUE "OriginalFilename", "squid.exe\0"
-            VALUE "PrivateBuild", "STABLE4\0"
+            VALUE "PrivateBuild", "STABLE5\0"
             VALUE "ProductName", "Squid Proxy Server for Windows NT\0"
             VALUE "ProductVersion", "2.3\0"
-            VALUE "SpecialBuild", "STABLE4\0"
+            VALUE "SpecialBuild", "STABLE5\0"
         END
     END
     BLOCK "VarFileInfo"
Index: squid/win/update.bat
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/Attic/update.bat,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/win/update.bat	30 Jun 2001 18:47:21 -0000	1.1.2.1
+++ squid/win/update.bat	27 Aug 2001 21:48:22 -0000	1.1.2.1.2.1
@@ -1,11 +1,17 @@
 @echo off
-if %1==release net stop "SquidNT2.3"
+rem if %1==release net stop "Squid"
+net stop "SquidNT2.3"
 copy %0\..\squidnt\%1\squid.exe %2\squid.exe
-copy %0\..\dnsserver\%1\dnsserver.dll %2\dnsserver.dll
-copy %0\..\..\auth_modules\NT\%1\nt_auth.dll %2\nt_auth.dll
-copy %0\..\..\auth_modules\NCSA\%1\ncsa_auth.dll %2\ncsa_auth.dll
-copy %0\..\..\auth_modules\ldap\%1\ldap_auth.dll %2\ldap_auth.dll
+copy %0\..\dnsserver\%1\dnsserver.exe %2\dnsserver.exe
+copy %0\..\..\auth_modules\NT\%1\nt_auth.exe %2\nt_auth.exe
+copy %0\..\..\auth_modules\NCSA\%1\ncsa_auth.exe %2\ncsa_auth.exe
+copy %0\..\..\auth_modules\ldap\%1\ldap_auth.exe %2\ldap_auth.exe
 copy %0\..\..\contrib\htpasswd\%1\htpasswd.exe %2\htpasswd.exe
-copy %0\..\cachemgr\%1\cachemgr.exe %2\cgi-bin\cachemgr.cgi
-copy %0\..\..\contrib\chpasswd\%1\chpasswd.exe %2\cgi-bin\chpasswd.cgi
-if %1==release net start "SquidNT2.3"
+copy %0\..\cachemgr\%1\cachemgr.exe %2\cachemgr.cgi
+copy %0\..\cachemgr\%1\cachemgr.exe %2\cachemgr.exe
+copy %0\..\..\contrib\chpasswd\%1\chpasswd.exe %2\chpasswd.cgi
+copy %0\..\unlinkd\%1\unlinkd.exe %2\unlinkd.exe
+copy %0\..\pinger\%1\pinger.exe %2\pinger.exe
+copy %0\..\client\%1\client.exe %2\client.exe
+if /i %1==release net start "Squid"
+rem net start "SquidNT2.3"
Index: squid/win/win.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/Attic/win.dsw,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.4.2.1
diff -u -r1.1.2.4 -r1.1.2.4.2.1
--- squid/win/win.dsw	15 Jul 2001 08:49:37 -0000	1.1.2.4
+++ squid/win/win.dsw	27 Aug 2001 21:48:22 -0000	1.1.2.4.2.1
@@ -3,7 +3,7 @@
 
 ###############################################################################
 
-Project: "LDAP_auth"="..\auth_modules\LDAP\LDAP_auth.dsp" - Package Owner=<4>
+Project: "LDAP_auth"=..\auth_modules\LDAP\LDAP_auth.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -18,7 +18,7 @@
 
 ###############################################################################
 
-Project: "NCSA_auth"="..\auth_modules\NCSA\NCSA_auth.dsp" - Package Owner=<4>
+Project: "NCSA_auth"=..\auth_modules\NCSA\NCSA_auth.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -27,19 +27,19 @@
 Package=<4>
 {{{
     Begin Project Dependency
-    Project_Dep_Name miscutil
-    End Project Dependency
-    Begin Project Dependency
     Project_Dep_Name chpasswd
     End Project Dependency
     Begin Project Dependency
     Project_Dep_Name htpasswd
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name miscutil
+    End Project Dependency
 }}}
 
 ###############################################################################
 
-Project: "NT_auth"="..\auth_modules\NT\NT_auth.dsp" - Package Owner=<4>
+Project: "NT_auth"=..\auth_modules\NT\NT_auth.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -66,7 +66,7 @@
 
 ###############################################################################
 
-Project: "cachemgr"=".\cachemgr\cachemgr.dsp" - Package Owner=<4>
+Project: "cachemgr"=.\cachemgr\cachemgr.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -81,7 +81,7 @@
 
 ###############################################################################
 
-Project: "cf_data"=".\cf_data.dsp" - Package Owner=<4>
+Project: "cf_data"=.\cf_data.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -93,7 +93,7 @@
 
 ###############################################################################
 
-Project: "cf_gen"=".\cf_gen\cf_gen.dsp" - Package Owner=<4>
+Project: "cf_gen"=.\cf_gen\cf_gen.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -108,7 +108,7 @@
 
 ###############################################################################
 
-Project: "chpasswd"="..\contrib\chpasswd\chpasswd.dsp" - Package Owner=<4>
+Project: "chpasswd"=..\contrib\chpasswd\chpasswd.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -120,7 +120,7 @@
 
 ###############################################################################
 
-Project: "dnsserver"=".\dnsserver\dnsserver.dsp" - Package Owner=<4>
+Project: "client"=.\client\client.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -135,7 +135,7 @@
 
 ###############################################################################
 
-Project: "htpasswd"="..\contrib\htpasswd\htpasswd.dsp" - Package Owner=<4>
+Project: "dnsserver"=.\dnsserver\dnsserver.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -143,11 +143,14 @@
 
 Package=<4>
 {{{
+    Begin Project Dependency
+    Project_Dep_Name miscutil
+    End Project Dependency
 }}}
 
 ###############################################################################
 
-Project: "libregex"=".\libregex\libregex.dsp" - Package Owner=<4>
+Project: "htpasswd"=..\contrib\htpasswd\htpasswd.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -159,7 +162,7 @@
 
 ###############################################################################
 
-Project: "libsnmp"=".\libsnmp\libsnmp.dsp" - Package Owner=<4>
+Project: "libregex"=.\libregex\libregex.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -171,7 +174,19 @@
 
 ###############################################################################
 
-Project: "miscutil"=".\miscutil\miscutil.dsp" - Package Owner=<4>
+Project: "libsnmp"=.\libsnmp\libsnmp.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "miscutil"=.\miscutil\miscutil.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -182,11 +197,29 @@
     Begin Project Dependency
     Project_Dep_Name libregex
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name Perl Preprocessing
+    End Project Dependency
 }}}
 
 ###############################################################################
 
-Project: "squid_conf"=".\squid_conf.dsp" - Package Owner=<4>
+Project: "pinger"=.\pinger\pinger.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name miscutil
+    End Project Dependency
+}}}
+
+###############################################################################
+
+Project: "squid_conf"=.\squid_conf.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -204,7 +237,7 @@
 
 ###############################################################################
 
-Project: "squidnt"=".\squidnt\squidnt.dsp" - Package Owner=<4>
+Project: "squidnt"=.\squidnt\squidnt.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -228,9 +261,6 @@
     Project_Dep_Name cachemgr
     End Project Dependency
     Begin Project Dependency
-    Project_Dep_Name dnsserver
-    End Project Dependency
-    Begin Project Dependency
     Project_Dep_Name LDAP_auth
     End Project Dependency
     Begin Project Dependency
@@ -240,12 +270,45 @@
     Project_Dep_Name squid_conf
     End Project Dependency
     Begin Project Dependency
+    Project_Dep_Name dnsserver
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name unlinkd
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name client
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name pinger
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name chpasswd
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name htpasswd
+    End Project Dependency
+    Begin Project Dependency
     Project_Dep_Name libsnmp
     End Project Dependency
 }}}
 
 ###############################################################################
 
+Project: "unlinkd"=.\unlinkd\unlinkd.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name miscutil
+    End Project Dependency
+}}}
+
+###############################################################################
+
 Global:
 
 Package=<5>
Index: squid/win/cachemgr/cachemgr.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cachemgr/Attic/cachemgr.dsp,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.3.2.1
diff -u -r1.1.2.3 -r1.1.2.3.2.1
--- squid/win/cachemgr/cachemgr.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.3
+++ squid/win/cachemgr/cachemgr.dsp	27 Aug 2001 21:48:22 -0000	1.1.2.3.2.1
@@ -50,7 +50,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
-# ADD LINK32 kernel32.lib user32.lib advapi32.lib ws2_32.lib /nologo /subsystem:console /machine:I386 /libpath:"..\\"
+# ADD LINK32 kernel32.lib ws2_32.lib advapi32.lib /nologo /subsystem:console /machine:I386 /libpath:"..\\"
 # SUBTRACT LINK32 /pdb:none
 
 !ELSEIF  "$(CFG)" == "cachemgr - Win32 Debug"
@@ -67,7 +67,7 @@
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
-# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /FR /YX /FD /GZ /c
 # ADD BASE RSC /l 0x409 /d "_DEBUG"
 # ADD RSC /l 0x409 /d "_DEBUG"
 BSC32=bscmake.exe
@@ -75,7 +75,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 kernel32.lib user32.lib advapi32.lib ws2_32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept /libpath:"..\\"
+# ADD LINK32 kernel32.lib ws2_32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept /libpath:"..\\"
 
 !ENDIF 
 
Index: squid/win/cachemgr/cachemgr.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cachemgr/Attic/cachemgr.mak,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.3.2.1
diff -u -r1.1.2.3 -r1.1.2.3.2.1
--- squid/win/cachemgr/cachemgr.mak	30 Jun 2001 18:42:07 -0000	1.1.2.3
+++ squid/win/cachemgr/cachemgr.mak	27 Aug 2001 21:48:22 -0000	1.1.2.3.2.1
@@ -66,7 +66,7 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib ws2_32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\cachemgr.pdb" /machine:I386 /out:"$(OUTDIR)\cachemgr.exe" /libpath:"..\\" 
+LINK32_FLAGS=kernel32.lib ws2_32.lib advapi32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\cachemgr.pdb" /machine:I386 /out:"$(OUTDIR)\cachemgr.exe" /libpath:"..\\" 
 LINK32_OBJS= \
 	"$(INTDIR)\cachemgr.obj" \
 	"$(INTDIR)\cachemgr.res" \
@@ -87,11 +87,11 @@
 
 !IF "$(RECURSE)" == "0" 
 
-ALL : "$(OUTDIR)\cachemgr.exe"
+ALL : "$(OUTDIR)\cachemgr.exe" "$(OUTDIR)\cachemgr.bsc"
 
 !ELSE 
 
-ALL : "miscutil - Win32 Debug" "$(OUTDIR)\cachemgr.exe"
+ALL : "miscutil - Win32 Debug" "$(OUTDIR)\cachemgr.exe" "$(OUTDIR)\cachemgr.bsc"
 
 !ENDIF 
 
@@ -102,8 +102,10 @@
 !ENDIF 
 	-@erase "$(INTDIR)\cachemgr.obj"
 	-@erase "$(INTDIR)\cachemgr.res"
+	-@erase "$(INTDIR)\cachemgr.sbr"
 	-@erase "$(INTDIR)\vc60.idb"
 	-@erase "$(INTDIR)\vc60.pdb"
+	-@erase "$(OUTDIR)\cachemgr.bsc"
 	-@erase "$(OUTDIR)\cachemgr.exe"
 	-@erase "$(OUTDIR)\cachemgr.ilk"
 	-@erase "$(OUTDIR)\cachemgr.pdb"
@@ -111,14 +113,20 @@
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\cachemgr.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\cachemgr.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
 RSC_PROJ=/l 0x409 /fo"$(INTDIR)\cachemgr.res" /d "_DEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\cachemgr.bsc" 
 BSC32_SBRS= \
-	
+	"$(INTDIR)\cachemgr.sbr"
+
+"$(OUTDIR)\cachemgr.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
+    $(BSC32) @<<
+  $(BSC32_FLAGS) $(BSC32_SBRS)
+<<
+
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib ws2_32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\cachemgr.pdb" /debug /machine:I386 /out:"$(OUTDIR)\cachemgr.exe" /pdbtype:sept /libpath:"..\\" 
+LINK32_FLAGS=kernel32.lib ws2_32.lib advapi32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\cachemgr.pdb" /debug /machine:I386 /out:"$(OUTDIR)\cachemgr.exe" /pdbtype:sept /libpath:"..\\" 
 LINK32_OBJS= \
 	"$(INTDIR)\cachemgr.obj" \
 	"$(INTDIR)\cachemgr.res" \
@@ -174,10 +182,22 @@
 !IF "$(CFG)" == "cachemgr - Win32 Release" || "$(CFG)" == "cachemgr - Win32 Debug"
 SOURCE=..\..\src\cachemgr.c
 
+!IF  "$(CFG)" == "cachemgr - Win32 Release"
+
+
 "$(INTDIR)\cachemgr.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "cachemgr - Win32 Debug"
+
+
+"$(INTDIR)\cachemgr.obj"	"$(INTDIR)\cachemgr.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=.\cachemgr.rc
 
 "$(INTDIR)\cachemgr.res" : $(SOURCE) "$(INTDIR)"
Index: squid/win/cachemgr/cachemgr.rc
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cachemgr/Attic/cachemgr.rc,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/win/cachemgr/cachemgr.rc	6 Jan 2001 12:40:17 -0000	1.1.2.1
+++ squid/win/cachemgr/cachemgr.rc	27 Aug 2001 21:48:22 -0000	1.1.2.1.2.1
@@ -49,13 +49,13 @@
             VALUE "FileDescription", "SquidNT - CGI Cache Manager\0"
             VALUE "FileVersion", "1, 0, 0, 1\0"
             VALUE "InternalName", "cachemgr\0"
-            VALUE "LegalCopyright", "Romeo Anghelache & Guido Serassio\0"
+            VALUE "LegalCopyright", "Romeo Anghelache, Guido Serassio & Andrey Shorin\0"
             VALUE "LegalTrademarks", "GNU gpl\0"
             VALUE "OriginalFilename", "cachemgr.exe\0"
-            VALUE "PrivateBuild", "STABLE4\0"
+            VALUE "PrivateBuild", "STABLE5\0"
             VALUE "ProductName", "Squid Proxy Server for Windows NT\0"
             VALUE "ProductVersion", "2.3\0"
-            VALUE "SpecialBuild", "STABLE4\0"
+            VALUE "SpecialBuild", "STABLE5\0"
         END
     END
     BLOCK "VarFileInfo"
Index: squid/win/cf_gen/cf_gen.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cf_gen/Attic/cf_gen.dsp,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.2.2.1
diff -u -r1.1.2.2 -r1.1.2.2.2.1
--- squid/win/cf_gen/cf_gen.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/win/cf_gen/cf_gen.dsp	27 Aug 2001 21:48:23 -0000	1.1.2.2.2.1
@@ -50,7 +50,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
-# ADD LINK32 kernel32.lib user32.lib advapi32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 kernel32.lib advapi32.lib /nologo /subsystem:console /machine:I386
 # SUBTRACT LINK32 /pdb:none
 
 !ELSEIF  "$(CFG)" == "cf_gen - Win32 Debug"
@@ -75,7 +75,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 kernel32.lib user32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 kernel32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 
 !ENDIF 
 
Index: squid/win/cf_gen/cf_gen.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cf_gen/Attic/cf_gen.mak,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.2.2.1
diff -u -r1.1.2.2 -r1.1.2.2.2.1
--- squid/win/cf_gen/cf_gen.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/win/cf_gen/cf_gen.mak	27 Aug 2001 21:48:23 -0000	1.1.2.2.2.1
@@ -36,10 +36,21 @@
 OutDir=.\Release
 # End Custom Macros
 
+!IF "$(RECURSE)" == "0" 
+
 ALL : "$(OUTDIR)\cf_gen.exe"
 
+!ELSE 
+
+ALL : "miscutil - Win32 Release" "$(OUTDIR)\cf_gen.exe"
 
+!ENDIF 
+
+!IF "$(RECURSE)" == "1" 
+CLEAN :"miscutil - Win32 ReleaseCLEAN" 
+!ELSE 
 CLEAN :
+!ENDIF 
 	-@erase "$(INTDIR)\cf_gen.obj"
 	-@erase "$(INTDIR)\vc60.idb"
 	-@erase "$(OUTDIR)\cf_gen.exe"
@@ -53,9 +64,10 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\cf_gen.pdb" /machine:I386 /out:"$(OUTDIR)\cf_gen.exe" 
+LINK32_FLAGS=kernel32.lib advapi32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\cf_gen.pdb" /machine:I386 /out:"$(OUTDIR)\cf_gen.exe" 
 LINK32_OBJS= \
-	"$(INTDIR)\cf_gen.obj"
+	"$(INTDIR)\cf_gen.obj" \
+	"..\miscutil\Release\miscutil.lib"
 
 "$(OUTDIR)\cf_gen.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
@@ -70,10 +82,21 @@
 OutDir=.\Debug
 # End Custom Macros
 
+!IF "$(RECURSE)" == "0" 
+
 ALL : "$(OUTDIR)\cf_gen.exe"
 
+!ELSE 
 
+ALL : "miscutil - Win32 Debug" "$(OUTDIR)\cf_gen.exe"
+
+!ENDIF 
+
+!IF "$(RECURSE)" == "1" 
+CLEAN :"miscutil - Win32 DebugCLEAN" 
+!ELSE 
 CLEAN :
+!ENDIF 
 	-@erase "$(INTDIR)\cf_gen.obj"
 	-@erase "$(INTDIR)\vc60.idb"
 	-@erase "$(INTDIR)\vc60.pdb"
@@ -90,9 +113,10 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\cf_gen.pdb" /debug /machine:I386 /out:"$(OUTDIR)\cf_gen.exe" /pdbtype:sept 
+LINK32_FLAGS=kernel32.lib advapi32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\cf_gen.pdb" /debug /machine:I386 /out:"$(OUTDIR)\cf_gen.exe" /pdbtype:sept 
 LINK32_OBJS= \
-	"$(INTDIR)\cf_gen.obj"
+	"$(INTDIR)\cf_gen.obj" \
+	"..\miscutil\Debug\miscutil.lib"
 
 "$(OUTDIR)\cf_gen.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
@@ -148,6 +172,32 @@
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!IF  "$(CFG)" == "cf_gen - Win32 Release"
+
+"miscutil - Win32 Release" : 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" 
+   cd "..\cf_gen"
+
+"miscutil - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
+   cd "..\cf_gen"
+
+!ELSEIF  "$(CFG)" == "cf_gen - Win32 Debug"
+
+"miscutil - Win32 Debug" : 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" 
+   cd "..\cf_gen"
+
+"miscutil - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
+   cd "..\cf_gen"
+
+!ENDIF 
+
 
 !ENDIF 
 
Index: squid/win/dnsserver/dnsserver.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/dnsserver/Attic/dnsserver.mak,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.3.2.1
diff -u -r1.1.2.3 -r1.1.2.3.2.1
--- squid/win/dnsserver/dnsserver.mak	30 Jun 2001 18:42:07 -0000	1.1.2.3
+++ squid/win/dnsserver/dnsserver.mak	27 Aug 2001 21:48:23 -0000	1.1.2.3.2.1
@@ -13,8 +13,8 @@
 !MESSAGE 
 !MESSAGE Possible choices for configuration are:
 !MESSAGE 
-!MESSAGE "dnsserver - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
-!MESSAGE "dnsserver - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
+!MESSAGE "dnsserver - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "dnsserver - Win32 Debug" (based on "Win32 (x86) Console Application")
 !MESSAGE 
 !ERROR An invalid configuration is specified.
 !ENDIF 
@@ -26,7 +26,6 @@
 !ENDIF 
 
 CPP=cl.exe
-MTL=midl.exe
 RSC=rc.exe
 
 !IF  "$(CFG)" == "dnsserver - Win32 Release"
@@ -39,11 +38,11 @@
 
 !IF "$(RECURSE)" == "0" 
 
-ALL : "$(OUTDIR)\dnsserver.dll"
+ALL : "$(OUTDIR)\dnsserver.exe"
 
 !ELSE 
 
-ALL : "miscutil - Win32 Release" "$(OUTDIR)\dnsserver.dll"
+ALL : "miscutil - Win32 Release" "$(OUTDIR)\dnsserver.exe"
 
 !ENDIF 
 
@@ -53,29 +52,24 @@
 CLEAN :
 !ENDIF 
 	-@erase "$(INTDIR)\dnsserver.obj"
-	-@erase "$(INTDIR)\dnsserver.res"
 	-@erase "$(INTDIR)\vc60.idb"
-	-@erase "$(OUTDIR)\dnsserver.dll"
-	-@erase "$(OUTDIR)\dnsserver.exp"
+	-@erase "$(OUTDIR)\dnsserver.exe"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MT /W3 /GX /O2 /Ob2 /I "../../include" /I "../" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "DNSSERVER_EXPORTS" /Fp"$(INTDIR)\dnsserver.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
-MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32 
-RSC_PROJ=/l 0x410 /fo"$(INTDIR)\dnsserver.res" /d "NDEBUG" 
+CPP_PROJ=/nologo /MT /W3 /GX /O2 /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\dnsserver.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\dnsserver.bsc" 
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib advapi32.lib ws2_32.lib /nologo /dll /incremental:no /pdb:"$(OUTDIR)\dnsserver.pdb" /machine:I386 /out:"$(OUTDIR)\dnsserver.dll" /implib:"$(OUTDIR)\dnsserver.lib" 
+LINK32_FLAGS=kernel32.lib ws2_32.lib advapi32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\dnsserver.pdb" /machine:I386 /out:"$(OUTDIR)\dnsserver.exe" 
 LINK32_OBJS= \
 	"$(INTDIR)\dnsserver.obj" \
-	"$(INTDIR)\dnsserver.res" \
 	"..\miscutil\Release\miscutil.lib"
 
-"$(OUTDIR)\dnsserver.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
+"$(OUTDIR)\dnsserver.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
@@ -90,11 +84,11 @@
 
 !IF "$(RECURSE)" == "0" 
 
-ALL : "$(OUTDIR)\dnsserver.dll"
+ALL : "$(OUTDIR)\dnsserver.exe"
 
 !ELSE 
 
-ALL : "miscutil - Win32 Debug" "$(OUTDIR)\dnsserver.dll"
+ALL : "miscutil - Win32 Debug" "$(OUTDIR)\dnsserver.exe"
 
 !ENDIF 
 
@@ -104,32 +98,27 @@
 CLEAN :
 !ENDIF 
 	-@erase "$(INTDIR)\dnsserver.obj"
-	-@erase "$(INTDIR)\dnsserver.res"
 	-@erase "$(INTDIR)\vc60.idb"
 	-@erase "$(INTDIR)\vc60.pdb"
-	-@erase "$(OUTDIR)\dnsserver.dll"
-	-@erase "$(OUTDIR)\dnsserver.exp"
+	-@erase "$(OUTDIR)\dnsserver.exe"
 	-@erase "$(OUTDIR)\dnsserver.ilk"
 	-@erase "$(OUTDIR)\dnsserver.pdb"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "DNSSERVER_EXPORTS" /Fp"$(INTDIR)\dnsserver.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
-MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32 
-RSC_PROJ=/l 0x410 /fo"$(INTDIR)\dnsserver.res" /d "_DEBUG" 
+CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\dnsserver.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\dnsserver.bsc" 
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib advapi32.lib ws2_32.lib /nologo /dll /incremental:yes /pdb:"$(OUTDIR)\dnsserver.pdb" /debug /machine:I386 /out:"$(OUTDIR)\dnsserver.dll" /implib:"$(OUTDIR)\dnsserver.lib" /pdbtype:sept 
+LINK32_FLAGS=kernel32.lib ws2_32.lib advapi32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\dnsserver.pdb" /debug /machine:I386 /out:"$(OUTDIR)\dnsserver.exe" /pdbtype:sept 
 LINK32_OBJS= \
 	"$(INTDIR)\dnsserver.obj" \
-	"$(INTDIR)\dnsserver.res" \
 	"..\miscutil\Debug\miscutil.lib"
 
-"$(OUTDIR)\dnsserver.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
+"$(OUTDIR)\dnsserver.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
@@ -183,12 +172,6 @@
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
-SOURCE=.\dnsserver.rc
-
-"$(INTDIR)\dnsserver.res" : $(SOURCE) "$(INTDIR)"
-	$(RSC) $(RSC_PROJ) $(SOURCE)
-
-
 !IF  "$(CFG)" == "dnsserver - Win32 Release"
 
 "miscutil - Win32 Release" : 
Index: squid/win/libsnmp/libsnmp.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/libsnmp/Attic/libsnmp.dsp,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/win/libsnmp/libsnmp.dsp	15 Jul 2001 08:49:38 -0000	1.1.2.1
+++ squid/win/libsnmp/libsnmp.dsp	27 Aug 2001 21:48:23 -0000	1.1.2.1.2.1
@@ -64,7 +64,7 @@
 # PROP Intermediate_Dir "Debug"
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
-# ADD CPP /nologo /G6 /MT /W3 /Gm /GX /ZI /I "..\..\include" /D "_DEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D SQUID_SNMP=1 /YX /FD /GZ /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /I "..\..\include" /D "_DEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D SQUID_SNMP=1 /FR /YX /FD /GZ /c
 # ADD BASE RSC /l 0x410 /d "_DEBUG"
 # ADD RSC /l 0x410 /d "_DEBUG"
 BSC32=bscmake.exe
